Play Stream - Get Segment Export
Retrieves the result of an export started by ExportPlayersInSegment API. If the ExportPlayersInSegment is successful and complete, this API returns the IndexUrl from which the index file can be downloaded. The index file has a list of urls from which the files containing the player profile data can be downloaded. Otherwise, it returns the current 'State' of the export
POST https://titleId.playfabapi.com/Admin/GetSegmentExport
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| ExportId | True |
string |
Unique identifier of the export for the requested Segment. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Get |
Request must contain the ExportId |
|
Get |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
GetPlayersInSegmentExportRequest
Request must contain the ExportId
| Name | Type | Description |
|---|---|---|
| ExportId |
string |
Unique identifier of the export for the requested Segment. |
GetPlayersInSegmentExportResponse
| Name | Type | Description |
|---|---|---|
| IndexUrl |
string |
Url from which the index file can be downloaded. |
| State |
string |
Shows the current status of the export |
Error Codes
| Name | Code |
|---|---|
| AsyncExportNotInFlight | 10011 |
| AsyncExportRateLimitExceeded | 10013 |
| ExportNotFound | 5004 |
| ExportUnknownError | 5013 |
| InvalidSegment | 1242 |
| ProductDisabledForTitle | 1609 |